<form class="form-container" [formGroup]="taskForm" (ngSubmit)="addTask()">
 <div class="d-flex gap-3">
  <div  >
    <mat-form-field class="form-container__full-width"  appearance="outline">
      <mat-label>Title</mat-label>
      <input type="text" matInput formControlName="title"
             placeholder="Ex. ToDo">

      @if (taskForm.controls['title'].hasError('required')) {
        <mat-error>Title is <strong>required</strong></mat-error>
      }
    </mat-form-field>

  </div>
  <div  >
    <mat-form-field  appearance="outline">
      <mat-label>Delivery date</mat-label>
      <input matInput [matDatepicker]="picker" formControlName="deliveryDate">
       <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
      @if (taskForm.controls['deliveryDate'].hasError('required')) {
        <mat-error>Delivery date is <strong>required</strong></mat-error>
      }
    </mat-form-field>
  </div>
  <div  >
    <mat-form-field appearance="outline">
      <mat-label>Group</mat-label>
      <mat-select formControlName="group" >
        @for(group of groups; track $index) {
        <mat-option [value]="group.id">{{group.name}}</mat-option>
        }
      </mat-select>

      @if (taskForm.controls['group'].hasError('required')) {
        <mat-error>Group is <strong>required</strong></mat-error>
      }
    </mat-form-field>
  </div>
 </div>

  <div class="form-group">

    <mat-form-field class="form-container__full-width" appearance="outline">
      <mat-label>Description:</mat-label>
      <textarea matInput placeholder="Ex. It makes me feel..." formControlName="description" rows="5" cols="50" ></textarea>

      @if (taskForm.controls['description'].hasError('required')) {
        <mat-error>Description is <strong>required</strong></mat-error>
      }
    </mat-form-field>
  </div>
  <div class="form-check">
    <mat-radio-group
    aria-labelledby="example-radio-group-label"
    class=" d-flex flex-column  align-items-start mb-3"
     formControlName="priority">
       <mat-radio-button class="example-radio-button"  value="High">High</mat-radio-button>
       <mat-radio-button class="example-radio-button"  value="Medium">Medium</mat-radio-button>
       <mat-radio-button class="example-radio-button"  value="High">Low</mat-radio-button>
       @if (taskForm.controls['priority'].hasError('required') && submitted) {
        <mat-error>Priority is <strong>required</strong></mat-error>
      }
  </mat-radio-group>


  </div>

  <div class="d-flex gap-3">

    <button type="submit" mat-raised-button color="primary" >{{!updateMode?'Add':'Update'}}</button>
    <button type="button" mat-raised-button color="accent" (click)="clearForm()">Clear</button>
    <button type="button" mat-raised-button  (click)="backToList()">Back to List</button>
  </div>
</form>
